# Set the pricing option for catalog products

## Overview

Use the **Product object** option property to override the default pricing option defined in your [2Checkout Merchant Control Panel](https://secure.2checkout.com/cpanel/).

## Use case

1. Add an HTML link or button in your page like the one below.
2. Create a JavaScript click handler to execute the InLine Client desired methods.
3. Use the`TwoCoInlineCart.products.add({code, quantity, options})`method to prepare your catalog product.
4. The **options** property should contain a list of objects with the name of the field and value.
5. Use the`TwoCoInlineCart.cart.checkout()`method to show the cart on your page.

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### JavaScript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.products.add({
    code: "74B8E17CC0",
    quantity: 3,
    options: [
      {
        name: '11234',
        value: 'new123'
      },
      {
        name: "DEMO_NUMBE_OF_PCS",
        value: "premiumversion"
      },
      {
        name: "DEVICES_5",
        value: "two_devices"
      }
    ]
  });
  TwoCoInlineCart.cart.checkout();
});
```

## Demo

After overriding the default pricing option using the above method, your cart should look like this:

{% embed url="<https://codepen.io/2checkout-documentation/pen/VJLOLr>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/set-the-pricing-option-for-catalog-products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
